#!/usr/bin/env python

"""usage: asp_toolbox [options]

    -d  use other config dir than ~/.autoSyncPodder
    -h  this help
    -m  don't send mails - pipe all to stdout (default)

STOP!!  This program is only for me for testing/debugging
and correcting errors in my database, as I'm using the
newest development version for my podcasts. 
    
"""

import os
import string

def cleanDirectory(path):
    for filename in os.listdir(path):
        newFilename = cleanFilename(filename)
        if filename != newFilename:
            os.rename(os.path.join(path,filename), os.path.join(path, newFilename))

def cleanFilename(filename):
    """ this is used to clean my filenames, if they contain chars
        which can't be copied onto a fat32 system 
    
    """
    # UNICODE TRANSLATE
##    def maketransU(s1, s2, todel=""):
##        trans_tab = dict( zip( map(ord, s1), map(ord, s2) ) )
##        trans_tab.update( (ord(c),None) for c in todel )
##        return trans_tab
##
##    trans_tab_u = maketransU(": /\*+|", "__-----", '?"')
##    # replace chars (the first ones with the second ones)
##    try:
##        name = unicode(filename).translate(trans_tab_u)
##    finally:
##        print filename
##    

    translation = string.maketrans(": /\*+|'" + '"', "__-----==")
    name = filename.translate(translation, '?')
    # return max 210 chars
    return name[:210]
    

# Main program: parse command line and start processing
def main():
    cleanDirectory("../syncDir")
    
if __name__ == '__main__':
    main()
