#!/usr/bin/env python

""" beep modul copied from http://mail.python.org/pipermail/python-list/2003-November/237251.html
"""

#***************************************************************************
#                          beep  -  description
#                             -------------------
#    copyright            : public domain?
#    email                : ?
#***************************************************************************

import sys

def beep(frequency, amplitude, duration):
    sample = 8000
    half_period = int(sample/frequency/2)
    beep = chr(amplitude)*half_period+chr(0)*half_period
    beep *= int(duration*frequency)
    audio = file('/dev/audio', 'wb')
    audio.write(beep)
    audio.close()
    
# Main program: parse command line and start processing
def main():
    #beep(440, 63, 1)
    # we only work with 3 parameters
    if len(sys.argv) != 4:
        print "beep.py frequency amplitude duration"
        print "    e.g.:  beep.py 440 63 1"
        sys.exit(-1)

    beep(int(sys.argv[1]), int(sys.argv[2]), int(sys.argv[3]))

if __name__ == '__main__':
    main()
